List Environments
get
/rpa/v1/environments
Gets a list of all available environments in service instance.
Request
Query Parameters
-
displayName: string
Minimum Length:
1Maximum Length:50A filter to return only resources that match the entire display name given. -
isAvailableForEnvGroup: boolean
Filters environments based on their avilability to be added int an envrionment group. False will not filter any environment. True will filter showing environments available for adding into a Environment Group.Default Value:
false -
isForAutonomousEnvGroup: boolean
To filter the environmentsDefault Value:
false -
lifecycleState: string
A filter that returns all resources that match the specified lifecycle state.
-
limit: integer
Minimum Value:
1Maximum Value:100The maximum number of items to return.Default Value:100 -
page: string
Minimum Length:
1A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response. -
sortBy: string
The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.Default Value:
TIME_CREATEDAllowed Values:[ "TIME_CREATED", "DISPLAY_NAME", "ENVIRONMENT_GROUP_DISPLAY_NAME" ] -
sortOrder: string
The sort order to use, either 'ASC' or 'DESC'.Allowed Values:
[ "ASC", "DESC" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
A page of Environment Summary objects.
Headers
-
opc-next-page:
For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : EnvironmentCollection
Type:
objectResults of a environment list operation. Contains EnvironmentSummary items.
Show Source
-
items(required): array
items
List of EnvironmentSummary objects.
Nested Schema : items
Type:
arrayList of EnvironmentSummary objects.
Show Source
-
Array of:
object EnvironmentSummary
Summary of an environment
Nested Schema : EnvironmentSummary
Type:
objectSummary of an environment
Show Source
-
agentVersion: string
Minimum Length:
1Maximum Length:50The agent version. -
createdBy: string
Records the user who create the environment.
-
description: string
User given description of the environment.
-
displayName(required): string
User friendly display name for the environment.
-
environmentGroupDisplayName(required): string
The environment group display name if this environment is added to the environment group.
-
environmentGroupIdentifier(required): string
The environment group identifier if this environment is added to the environment group.
-
environmentType: string
The type of the environment.
-
identifier(required): string
Unique identifier that is immutable on creation.
-
instanceMetadataProperties: object
instanceMetadataProperties
Additional Properties Allowed: additionalPropertiesMap
for the instance Metadata System Properties -
keywords: string
The keywords of the environment given by user.
-
lifecycleState(required): string
The current state of the environment.
-
previousAgentVersion: string
The previous agent version.
-
projectId(required): string
The environment group project Id if this environment is added to the environment group.
-
systemProperties: object
systemProperties
Additional Properties Allowed: additionalPropertiesMap
for the Environment System Properties -
timeAgentVersionUpdated: string
(date-time)
The time at which agent version was last updated.
-
timeCreated: string
(date-time)
The time at which environment was created. An RFC3339 formatted datetime string.
-
timeUpdated: string
(date-time)
The time at which environment was last updated. An RFC3339 formatted datetime string.
-
updatedBy: string
Records to user who last update the environment.
Nested Schema : instanceMetadataProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the instance Metadata System Properties
Example:
{
"InstanceId":"ocid.instance",
"InstancePoolId":"ocid.instancePool",
"CompartmentId":"ocid.compartment",
"Region":"us-ashburn-1"
}Nested Schema : systemProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the Environment System Properties
Example:
{
"HostName":"JANEDOE-MACBOOKPRO",
"OperatingSystemVersion":"12.6.5",
"OperatingSystemName":"Mac OS X",
"OperatingSystemArchitecture":"x86_64",
"IPAddress":"10.0.1.3",
"MacAddress":"F8-4D-89-87-F6-9D"
}400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.